Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## j3deditor.bin.hierarchy.util
Enum LightType

    java.lang.Object
      java.lang.Enum<LightType>
          j3deditor.bin.hierarchy.util.LightType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LightType>

    public enum LightType

extends java.lang.Enum<LightType>

Determines the type of the `J3DeLight` object and the type of `Light` object inside it.

Author:
  Risto Seene

Enum Constant Summary
`AMBIENTLIGHT` light is an instance of `AmbientLight`
`DIRECTIONALLIGHT` light is an instance of `DirectionalLight`
`POINTLIGHT` light is an instance of `PointLight`
`SPOTLIGHT` light is an instance of `SpotLight`

Method Summary
`static LightType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LightType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AMBIENTLIGHT

    public static final LightType AMBIENTLIGHT

  light is an instance of `AmbientLight`

### DIRECTIONALLIGHT

    public static final LightType DIRECTIONALLIGHT

  light is an instance of `DirectionalLight`

### POINTLIGHT

    public static final LightType POINTLIGHT

  light is an instance of `PointLight`

### SPOTLIGHT

    public static final LightType SPOTLIGHT

  light is an instance of `SpotLight`

Method Detail

### values

    public static LightType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LightType c : LightType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LightType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD